summaryrefslogtreecommitdiffstats
path: root/academic/harminv
diff options
context:
space:
mode:
Diffstat (limited to 'academic/harminv')
-rw-r--r--academic/harminv/README17
-rw-r--r--academic/harminv/harminv.SlackBuild41
-rw-r--r--academic/harminv/harminv.info6
-rw-r--r--academic/harminv/slack-desc6
4 files changed, 52 insertions, 18 deletions
diff --git a/academic/harminv/README b/academic/harminv/README
index fc3c9c0bc7..f574c1996c 100644
--- a/academic/harminv/README
+++ b/academic/harminv/README
@@ -1,5 +1,14 @@
-Harminv is a program and library that solves the problem of
-harmonic inversion. It takes a discrete-time, finite-length
-signal, and decomposes it into a sum of finitely-many
-sinusoids, determining the frequencies, decay constants,
+harminv (harmonic inversion from a time series)
+
+Harminv is a program and library that solves the problem of
+harmonic inversion. It takes a discrete-time, finite-length
+signal, and decomposes it into a sum of finitely-many
+sinusoids, determining the frequencies, decay constants,
amplitudes, and phases of those sinusoids.
+
+This package requires: lapack
+
+If the build script can find the ATLAS libraries, it will
+adapt the configure options to use them rather than the
+default lapack.
+
diff --git a/academic/harminv/harminv.SlackBuild b/academic/harminv/harminv.SlackBuild
index 34d85f200d..7bbd8433bf 100644
--- a/academic/harminv/harminv.SlackBuild
+++ b/academic/harminv/harminv.SlackBuild
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for harminv
@@ -22,10 +22,13 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=harminv
-VERSION=${VERSION:-1.4.1}
+VERSION=${VERSION:-1.4.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -35,7 +38,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -54,13 +64,13 @@ else
LIBDIRSUFFIX=""
fi
+set -e
+
# change annoying underscores into hyphens
SVERSION=$(echo $VERSION | tr '_' '-')
# make a custom list of doc files in advance
DOCFILES="COPYING COPYRIGHT NEWS.md README.md doc/*.md "
-set -e
-
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -79,7 +89,20 @@ if [ ! -f ./configure ] ; then
./autogen.sh
fi
-LOCALCONFIGS="--enable-shared --with-blas=atlas"
+
+LOCALCONFIGS="--enable-shared --enable-static=no "
+
+
+# check for the Atlas replacement for blas; if the libraries are found,
+# add the configure option accordingly
+
+if [ -f /usr/lib/libatlas.a ] ; then
+ if [ -f /usr/lib/libatlas.so ] ; then
+ echo "NOTICE: libatlas was found, configure --with-blas=atlas"
+ LOCALCONFIGS=${LOCALCONFIGS}" --with-blas=atlas"
+ fi
+fi
+
CFLAGS="$SLKCFLAGS" \
CPPFLAGS="$SLKCFLAGS" \
@@ -89,12 +112,14 @@ CPPFLAGS="$SLKCFLAGS" \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--build=$ARCH-slackware-linux \
- --enable-static=no \
$LOCALCONFIGS
make
make install DESTDIR=$PKG
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
@@ -109,4 +134,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/academic/harminv/harminv.info b/academic/harminv/harminv.info
index 4ba38e5070..298d496d12 100644
--- a/academic/harminv/harminv.info
+++ b/academic/harminv/harminv.info
@@ -1,8 +1,8 @@
PRGNAM="harminv"
-VERSION="1.4.1"
+VERSION="1.4.2"
HOMEPAGE="https://github.com/NanoComp/harminv"
-DOWNLOAD="https://github.com/NanoComp/harminv/releases/download/v1.4.1/harminv-1.4.1.tar.gz"
-MD5SUM="a1ac921b1b97cd2c0354c35b2d8a77fc"
+DOWNLOAD="https://github.com/NanoComp/harminv/releases/download/v1.4.2/harminv-1.4.2.tar.gz"
+MD5SUM="0ad9ed9b2b345c2e8c2929f20bdf2492"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="lapack"
diff --git a/academic/harminv/slack-desc b/academic/harminv/slack-desc
index 63773e4878..7e7a2360d6 100644
--- a/academic/harminv/slack-desc
+++ b/academic/harminv/slack-desc
@@ -8,9 +8,9 @@
|-----handy-ruler------------------------------------------------------|
harminv: harminv (harmonic inversion from a time series)
harminv:
-harminv: Harminv is a program and library that solves the problem of
-harminv: harmonic inversion. It takes a discrete-time, finite-length
-harminv: signal, and decomposes it into a sum of finitely-many
+harminv: Harminv is a program and library that solves the problem of
+harminv: harmonic inversion. It takes a discrete-time, finite-length
+harminv: signal, and decomposes it into a sum of finitely-many
harminv: sinusoids, dettermining the frequencies, decay constants,
harminv: amplitudes, and phases of those sinusoids.
harminv: